<?

class AddressesController extends AppController {

	// explicitly define the name of this class
	var $name = "Addresses";

	// prep data for viewing in index.thtml
	function index() {
	
		// set a $addresses array with all addresses from the model
		$this->set('addresses', $this->Address->FindAll());
	}

	// prep data for viewing in view.thtml
	function view($id) {
	
		// notify the model what the requested ID is
		$this->Address->id = $id;
		
		// set a $data array with the information from the model
		$this->set('data', $this->Address->read() );
	
	}

	// create the ability to add addresses via add.thtml
	function add() {
		// check if POSTed data exists
		if(!empty($this->data['Address']))
		
			// it does, attempt to save via the model
			if ($this->Address->save($this->data['Address']))
			
				// successfully saved, notify user
				$this->flash('Your contact has been saved.', '/addresses/');
	}
	
}

?>