<?

class Address extends AppModel {

	// explicitly define the name of the model
	var $name = "Address";

	// declare some validation constants for the model
	
	// first_name & last_name must not be empty, email
	// must be a valid email address, and phone
	// must be a valid number (e.g., not 617-555-1212)
	var $validate = array(
			'first_name' => VALID_NOT_EMPTY,
			'last_name' => VALID_NOT_EMPTY,
			'email' => VALID_EMAIL,
			'phone' => VALID_NUMBER			
		);

}

?>